package com.zbf.system.service;

import java.util.List;

import com.zbf.system.domain.TCallNoticeOrder;

/**
 * 【请填写功能名称】Service接口
 *
 * @author tony
 * @date 2024-07-30
 */
public interface ITCallNoticeOrderService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TCallNoticeOrder selectTCallNoticeOrderById(String id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TCallNoticeOrder> selectTCallNoticeOrderList(TCallNoticeOrder tCallNoticeOrder);

    /**
     * 新增【请填写功能名称】
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 结果
     */
    public int insertTCallNoticeOrder(TCallNoticeOrder tCallNoticeOrder);

    /**
     * 修改【请填写功能名称】
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 结果
     */
    public int updateTCallNoticeOrder(TCallNoticeOrder tCallNoticeOrder);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTCallNoticeOrderByIds(String[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTCallNoticeOrderById(String id);

    /**
     * 批量禁用【请填写功能名称】
     *
     * @param ids 需要禁用的【请填写功能名称】主键集合
     * @return 结果
     */
    public int disabledTCallNoticeOrderByIds(String[] ids);

    /**
     * 批量启用【请填写功能名称】
     *
     * @param ids 需要启用的【请填写功能名称】主键集合
     * @return 结果
     */
    public int enableTCallNoticeOrderByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tCallNoticeOrder
     * @return 结果
     */
    public int updateStatus(TCallNoticeOrder tCallNoticeOrder);

    /**
     * 发送通知信息到手持设备
     * @param tCallNotice
     */
    public void sendNotice(TCallNoticeOrder tCallNoticeOrder);

    /**
     * 更新任务状态
     * @param tCallNotice
     */
    public int updateTaskStatus(TCallNoticeOrder tCallNotice);
}

